/*
 * Copyright 2012 Smallcrew, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.smallcrew.security.web;

import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;

import javax.servlet.http.HttpServletRequest;

public class CustomUsernamePasswordAuthenticationFilter extends UsernamePasswordAuthenticationFilter {
  @Override
  protected String obtainPassword(HttpServletRequest request) {
    String password = super.obtainPassword(request);
    if (password == null) {
      password = (String)request.getAttribute(getPasswordParameter());
    }
    return password;
  }

  @Override
  protected String obtainUsername(HttpServletRequest request) {
    String userName = super.obtainUsername(request);
    if (userName == null) {
      userName = (String)request.getAttribute(getUsernameParameter());
    }
    return userName;
  }
}
